<p>data-binding works!</p>
<section>
    <!-- Aula sobre Bindings e Interpolação

    <article>

        <h3>
            Interpolation/Interpolação
        </h3>

        <p>
            string renderizada com interpolação: {{ url }}
        </p>

        <p [textContent]="url">
            string renderizada com interpolação: url
        </p>

        <p bind-textContent="url">
            string renderizada com interpolação: url
        </p>

        <p>
            1+1 = {{ 1+1 }}
        </p>

        <p>
            1+1 não é {{ 1+1+ getValor() }}
        </p>

        <p>
            resultado do boolean = {{ cursoAngular && getCurtirCurso() }}
        </p>
    </article>

    <article>
        <ul>
            <li *ngFor="let imagem of urlImagem"> <img src="{{ imagem }}"> </li>
        </ul>
    </article> -->


    Aula de Class Binding e Style Binding
    <article>
        <h3>
            Class e Style Binding
        </h3>

        <div>
            Selecione uma classe

            <select #classe (change)="0">
                <option value="alert-success">Sucesso</option>
                <option value="alert-info">Info</option>
                <option value="alert-warning">Alerta</option>
                <option value="alert-danger">Erro</option>
            </select>
            <br><br>

            <div class="alert {{ classe.value }}" role="alert">
                Texto colorido conforme valor do combobox.
            </div>

            <div class="alert" role="alert" [class.alert-success]="classe.value == 'alert-success'">
                Sucesso</div>
            <div class="alert" role="alert" [class.alert-info]="classe.value == 'alert-info'">
                Info</div>
            <div class="alert" role="alert" [class.alert-warning]="classe.value == 'alert-warning'">
                Alerta</div>
            <div class="alert" role="alert" [class.alert-danger]="classe.value == 'alert-danger'">
                Erro</div>
            <div class="alert alert-danger" role="alert"
                [style.display]="classe.value == 'alert-danger' ? 'block' : 'none'">
                Esse texto somente aparece em caso de erro.
            </div>
        </div>
    </article>
</section>


